Subject: [OPSAWG] TR: New Version Notification for draft-ietf-opsawg-nat-yang-03.txt

From: <[email-masked]>
Date: Mon, 18 Sep 2017 12:48:18 +0000

Dear all, 

This new version fixes a few typos and addresses a review from Tore Anderson (EAM part). 

FWIW, I'm pasting here the initial comments from Tore and how these are addressed in the new revision. 

===================================
> Hi Mohamed. I'm not familiar with YANG, so I can't tell you for certain
> that it is or not. It does seem okay enough to me, though. Just a couple
> of observations:
> 
> 1) "EIM" in the Abstract should read "EAM".

[Med] Fixed. Thanks.

> 
> 2) In Appendix A.5 I see that the markup language includes an <index>
> tag. I'd just like to point out the following paragraph from RFC 7757:
> section 3.1:
> 
>    Throughout this document, figures representing the EAMT contain an
>    Index column using the pound sign as the header.  This column is not
>    a required part of this specification; it is included only as a
>    convenience to the reader.
> 

[Med] Thank you for pointing this. The index is imported from the NAT64 structure; see below.

> 3) The markup language describes "external-dst-address" vs
> "internal-dst-address". Note that SIIT (both with and without EAM) is
> completely bidirectional, so there's no fixed concept of "internal" and
> "external". That depends entirely on how an operator deploys it in a
> network.

[Med] Static entries are bidirectional, too. Actually, the use of "internal-*" and "external-*" is a side effect of trying to use the same structure for both NAT64 and EAM. I understand this may be confusing. 

It is more cleaner to define a dedicated object for EAM that will look like: 

             +--rw eamt* [ipv4-prefix]
             |  +--rw eam-ipv4-prefix   inet:ipv6-prefix
             |  +--rw eam-ipv6-prefix   inet:ipv6-prefix  

Will update the module accordingly.
==========

Cheers,
Med

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]]
> Envoyé : lundi 18 septembre 2017 14:43
> À : BOUCADAIR Mohamed IMT/OLN; Senthil Sivakumar; JACQUENET Christian
> IMT/OLN; [email-masked]; Qin Wu
> Objet : New Version Notification for draft-ietf-opsawg-nat-yang-03.txt
> 
> 
> A new version of I-D, draft-ietf-opsawg-nat-yang-03.txt
> has been successfully submitted by Mohamed Boucadair and posted to the
> IETF repository.
> 
> Name:		draft-ietf-opsawg-nat-yang
> Revision:	03
> Title:		A YANG Data Model for Network Address Translation (NAT)
> and Network Prefix Translation (NPT)
> Document date:	2017-09-18
> Group:		opsawg
> Pages:		76
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-opsawg-
> nat-yang-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-opsawg-nat-
> yang/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-opsawg-nat-yang-03
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-opsawg-
> nat-yang-03
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-opsawg-nat-
> yang-03
> 
> Abstract:
>    For the sake of network automation and the need for programming
>    Network Address Translation (NAT) function in particular, a data
>    model for configuring and managing the NAT is essential.  This
>    document defines a YANG data model for the NAT function.
> 
>    NAT44, Network Address and Protocol Translation from IPv6 Clients to
>    IPv4 Servers (NAT64), Customer-side transLATor (CLAT), Explicit
>    Address Mappings for Stateless IP/ICMP Translation (SIIT EAM), and
>    IPv6 Network Prefix Translation (NPTv6) are covered in this document.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat